import math

def load(list):
    print "Loading AI bindings"

    # binding format:
    # ( 'name of robot from .bot file', 'name of AI from script class',
    #       {'optional constructor parameter':value, 'another':value} )

    # constructor parameters:
    # nose - "front" of bot in radians (default 0)
    # invertible - can function upside-down (default False)
    # topspeed - speed in meters/second AI will attempt not to exceed (default 4.0)
    # throttle - maximum analog value AI will attempt not to exceed (default 100)
    # turnspeed - turning in radians/second AI will attempt not to exceed (default 2.5)
    # turn - maximum analog value AI will attempt not to exceed (default 60)
    # radius - bot radius to use for checking for hazards and walls (default 1.0)

    # 0 - CODE: RED "The new entropy"
    list.append(("Remix","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Stryfe","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Point Black Range","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("AW-Little Pain","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("BW-Zap","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("SHW-NEW BEGINNING","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))

    # 1 - Team Shadow "We attack at midnight. You won't even see us coming."
    list.append(("Tempest Mini","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Tempest","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Super Tempest","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'range':99,'turn':60,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Treason","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':60,'turnspeed':2.5,'weapons':(1,2)}))
    list.append(("MyX","Rammer",{'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'turn':20,'turnspeed':1}))
    list.append(("Indesoluable","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 2- Mission Impossible "Defeat or be defeated."
    list.append(("Blackout","Omni",{'radius':0.8,'topspeed':99,'throttle':130,'turnspeed':3.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("Unnecassary Roughness","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turnspeed':3.5,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("YellowJacket","Omni",{'radius':0.8,'topspeed':99,'throttle':130,'turnspeed':3,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("AW-No Logic","Rammer",{'invertible':True,'nose':math.pi/1,'radius':1.9,'topspeed':99,'throttle':4,'turn':60,'turnspeed':2.5}))
    list.append(("BW-WoodPecker","Omni",{'radius':0.8,'topspeed':99,'throttle':130,'turnspeed':3.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("KILL-60","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))

    # 3 - X! "X marks the spot... on your control board!"
    list.append(("Pestilance","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Proxy","Omni",{'turnspeed':1.75,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("MXOS","Omni",{'turnspeed':1.75,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("AW-Pike","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("BW-Typhoon","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':60,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18)}))
    list.append(("Fe\/er","Rammer",{'invertible':True,'radius':1.9,'topspeed':4,'throttle':4,'turn':60,'turnspeed':2.5}))

    # 4 - THUNDER "Take cover. You do NOT want to witness the power of the storm."
    list.append(("Crossfire","Rammer",{'nose':-math.pi/1,'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("Dark Sky","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Thunder Cloud 4","Omni",{'topspeed':99,'throttle':130,'radius':0.1,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("AW-Bolt","Omni",{'nose':-math.pi/1,'radius':0.5,'topspeed':99,'throttle':130,'turn':40,'turnspeed':2.0,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("Rolling Thunder","Omni",{'turnspeed':2.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("Rebellion at Dawn","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
       
    # 5 - Team Priority "Where there was one, now there's six."
    list.append(("ERROR","Rammer",{'radius':1.0,'invertible':True,'topspeed':99,'throttle':130,'turn':30,'weapons':(16,17,18,19,20,21)}))
    list.append(("Envy","Omni",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("PrIOritY","Omni",{'turnspeed':1.75,'topspeed':5,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("AW-AntiAnt","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("BW-Probe","Omni",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))
    list.append(("SHW-PrIOritY XL","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 6 - MC Bashers "Bashing fury"
    list.append(("Pacman","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Emerald Pain Wedge","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("INCOMING","Rammer",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40)}))
    list.append(("Summit","Omni",{'turnspeed':1.75,'topspeed':5,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("BW-Pyro","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Kenid","Rammer",{'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'turn':60,'turnspeed':2.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))

    # 7 - The Warning "Caution. You're about to witness the worst life experience ever."
    list.append(("Hep-Hazard","Spinner",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("Grey Bulb","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Incision","Bee",{'nose': math.pi/2,'whip':"around",'radius':0.1,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32)}))
    list.append(("AW-Saw Knaw","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("BW-Little Piece of Crap","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Minerva","Omni",{'nose': math.pi/2,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31)}))

    # 8 - POPP8D! "Spikes in your underside."
    list.append(("Hyperventilate","Spinner",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("CAUSE/EFFECT","Omni",{'nose': math.pi/1,'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Oscillator","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("I-BEAM","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Tanya!","Omni",{'nose': math.pi/1,'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Shark Attack","Spinner",{'nose': math.pi/2,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 9 - IMMORATLS "No bot can penetrate our future."
    list.append(("The Bot With Rabies","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("HELP!","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("DieHard","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("Tyrant","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("HP","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Tazer","Omni",{'nose': math.pi/1,'topspeed':99,'throttle':130,'radius':0.1,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))

    # 10 - Team 79 "XT"
    list.append(("Tiger","Omni",{'nose': math.pi/1,'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12)}))
    list.append(("Blowout","Omni",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6)}))
    list.append(("Deranger","OmniRam",{'radius':0.1,'turnspeed':11,'topspeed':5,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("AW-Spitfire","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,)}))
    list.append(("In Plain Sight","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Bane","Rammer",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39)}))

    # 11 - Crabby Crabz "With a Z"
    list.append(("Radiant Crab","Rammer",{'invertible':True,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6)}))
    list.append(("Raging Crab","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Buzzard Crab","Omni",{'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'range':99,'turn':100,'turnspeed':9,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,129,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50)}))
    list.append(("Hostile Crab","Omni",{'radius':0.8,'topspeed':99,'throttle':130,'turnspeed':3.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))
    list.append(("Y-CRAB","Bee",{'nose': math.pi/2,'whip':"around",'radius':0.1,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32)}))
    list.append(("King Crab","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 12 - Pit's Army "Forces of justice."
    list.append(("Shock","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("WAR Angel","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Defiant","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Pit X","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("BW-Flame","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("DEFIANCE","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 13 - AWKWARD "Don't know. These bots do not look familiar..."
    list.append(("R.A.G.E.","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Evader","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Vapor","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("WTF","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("BW-No-Leaf-Clover","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("SHW-Sabotage","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))

    # 14 - Feminine Rebellion "Not all love is kind."
    list.append(("Unquenchable 2","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Rose","Rammer",{'invertible':True,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6)}))
    list.append(("Sweet Revenge","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Ceceiliya","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("BW-Alina","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("JANE","OmniRam",{'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6)}))

    # 15 - The Remains "We were down, and have come back to seek revenge!"
    list.append(("Breaking Dawn","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("Testify","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Countdown","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("AW-Critical","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("BW-Saboteur","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("FreezeRay","Omni",{'nose': math.pi/1,'radius':.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46)}))

    # 16 - The Undergound "Death from below!"
    list.append(("The Grim","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("Fyre","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("MXOS 2","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("S<R>7","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Smart Bomb","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("HIGH VOLTAGE","Omni",{'nose': math.pi/1,'radius':.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46)}))

    # 17 - BLACK T3CH "Artificial Intelligence in black"
    list.append(("Trojan","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("AntiVirus","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Firewall","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("AW-Hardrive","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("BW-Hack3d","Rammer",{'invertible':True,'range':99,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6)}))
    list.append(("Transistor","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))

    # 18 - Team Flying Robots "Don't get airsick!"
    list.append(("Airstrike","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("BattleChopper","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Test 7","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("AW-Drone","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("BW-Sky High","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("No End","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))

    # 19 - Team Pacman "We eat balls, ghosts, and bots!"
    list.append(("Byte","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Pierc3d","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("No Fly Zone","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append((">_<","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("N00b","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("SHW-Inevitable","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
  
    # 20 - Team Virtual Insanity "Face the consequences of reality."
    list.append(("Alpha One","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Blockade","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("The Antidote","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("Beacon","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("BW-Genocide","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Demolition Squad","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))

    # 21 - LOW BATTERY "Uh oh! Better charge my bot!"
    list.append(("H3X","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Enemy Generator","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("TR0N","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("AW-W.A.V.E.","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("BW-0%","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Behind Bars","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))

    # 22 - METALIC "Tougher than you."
    list.append(("Instant Fun","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("WTC","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Green Machine","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("ZZZZZ","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Invincibility","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Game Over","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))

    # 23 - Betrayal "Never trust anyone."
    list.append(("Spy","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Cuts and Bruises","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Flying Chaos","Rammer",{'invertible':True,'radius':0.5,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2,'weapons':(16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40)}))
    list.append(("AW-Gyser","Omni",{'turnspeed':1.75,'topspeed':5,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("BW-Raptor","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("3v3lyn","Rammer",{'invertible':True,'radius':0.1,'topspeed':99,'throttle':130,'turn':60,'turnspeed':2.5,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))

    # 24 - Rejected Designs "Just because we're rejected doesn't mean we can't destroy you!"
    list.append(("HYPNOTIZER","Spinner",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("Rogue II","Omni",{'nose': math.pi/1,'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Speed Bump","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("AW-Ranger","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("Mr. Kill","Omni",{'nose': math.pi/1,'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Stickman","Spinner",{'nose': math.pi/2,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 25 - LRA2 "zzzz"
    list.append(("Atom","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("PoiSon","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Death from Above","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':30,'weapons':(1,2,3,4,5,6)}))
    list.append(("Parasite","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Jeopardy","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Underminer","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':20,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))

    # 26 - Second Dimension "Oh, it's REAL alright..."
    list.append(("Chainz","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("Splatter","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Resistor","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Blazing Razors","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("BW-Hydrogen","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("T74","Omni",{'nose': math.pi/1,'radius':.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46)}))

    # 27 - Team Artemis "No one gets what they want in RA2 and that's shameful."
    list.append(("Arial Strike","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("CAUTION","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Compactor","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("AW-Baby Bear","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("BW-Carbon","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':50,'turnspeed':3.5,'weapons':(1,2,3)}))
    list.append(("9 Irons","Omni",{'nose': math.pi/1,'radius':.1,'topspeed':99,'throttle':130,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46)}))

    # 28 - Masters of Destruction "We always get the last laugh."
    list.append(("Maggot","Omni",{'radius':0.1,'range':99,'topspeed':4,'throttle':130,'turn':20,'turnspeed':4.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16)}))
    list.append(("Bakugan","Omni",{'turnspeed':1.75,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("Big Time","Omni",{'turnspeed':1.75,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21)}))
    list.append(("Wasting Away","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turnspeed':4,'weapons':(1,2,3,4,5,6,7,8)}))
    list.append(("Nitro","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'turn':60,'turnspeed':3,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18)}))
    list.append(("Demolisher","Rammer",{'invertible':True,'radius':1.9,'topspeed':4,'throttle':4,'turn':60,'turnspeed':2.5}))

    # 29 - Team Mononoke "Nature's robotics."
    list.append(("Wolf","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Mortal","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Mononoke 7","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("AW-Frost","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("BW-Spine","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Atom Crusher","Omni",{'nose': math.pi/1,'topspeed':99,'throttle':130,'radius':0.1,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))

    # 30 - UNREALISTIC "Unnatural bots."
    list.append(("Egg?","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Plummeting Razors","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("NBLLL","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("AW-NB","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("BW-NBL","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("NBLL","Omni",{'nose': math.pi/1,'topspeed':99,'throttle':130,'radius':0.1,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))

    # 31 - Final Destiny Robotics "Who knows what the future holds..."
    list.append(("Innocent","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Irony 2","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Serpent","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("Sythe","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("BW-Air In Ur Bot","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("BW-Air In Ur Bot II","Omni",{'nose': math.pi/1,'topspeed':99,'throttle':130,'radius':0.1,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))

    # 32 - E.C.H.O. "All you will hear is pain."
    list.append(("Proteus","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("BGone","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Spock","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("AW-WTS","Spinner",{'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))
    list.append(("BW-Shark Bite","Omni",{'radius':0.5,'topspeed':99,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))
    list.append(("Code Red","Spinner",{'nose': math.pi/1,'range':99,'topspeed':99,'throttle':130,'weapons':(1,2,3)}))

    # 33 - Team Coral "Don't get too close. We have points."
    list.append(("Catfish Awakens","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Seabed Scavenger","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("Iron Shark","Omni",{'radius':0.1,'topspeed':99,'throttle':130,'range':99,'weapons':(9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24)}))
    list.append(("AW-Water Spout","Omni",{'nose': math.pi/1,'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("BW-JellyFish","Omni",{'radius':0.1,'range':99,'topspeed':99,'throttle':130,'turn':50,'turnspeed':2.5,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14)}))
    list.append(("HammerHead","Omni",{'nose': math.pi/1,'topspeed':99,'throttle':130,'radius':0.1,'range':99,'weapons':(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23)}))

    # 34 - Junkyard Poppers
    list.append(("BW-Junkyard Squad","Omni",{'radius':0.5,'topspeed':11,'throttle':130,'range':99,'weapons':(16,17,18,19,20,21,22,23)}))